

.contact {
    padding: 5%;
    background: #efefef;
}

.contact-head {
    text-align: center;
    margin: 5% 0;
}

.grid-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 20px;
}

.contact-grid {
    background: linear-gradient(to top left, #ffffcc 0%, #b28558 100%);
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.grid-h i {
    font-size: 2em;
    margin-bottom: 10px;
    border-radius: 50px;
    border: 1px solid white;
    padding: 10px;
    color: #fffffe; /* Golden color for the icons */
}

.grid-h h6 {
    margin: 10px 0;
    font-size: 1.2em;
    color: #333;
}

.grid-h p {
    margin: 0;
    color: #666;
}

.form-map-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin: 80px 0;
}

.contact-form {
    background: #fff;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.contact-form h3{
    margin-bottom: 20px;
}

.contact-form form {
    display: grid;
    gap: 15px;
    justify-items: center;
    align-items: center;
}

.form__names {
  
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}



.input-field {
    max-width: 350px;
    width: 300px;
    background-color: rgba(212, 203, 203, 0.5);
  
    border: 1px solid hsla(0, 9%, 91%, 0.8);
    border-radius: 8px;
    padding: 20px 10px;
    margin: 10px 0;
    font-size: 12px;
}



.btn-primary {
    margin-top: 20px;
    width: 150px;
    height: 40px;
    border: none;
    padding: 1% 1%;
    background: linear-gradient(to top left, #ffffcc 0%, #b28558 100%);
    color: white;
    cursor: pointer;
    border-radius: 8px;
}
.map {
    height: 450px;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.social-media-icons {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    gap: 20px;
}

.social-media-icons a {
    font-size: 2em;
    color: #333;
    transition: color 0.3s ease;
}

.social-media-icons a:hover {
    color: #b99236; /* Golden color for hover */
}

/* Responsive styles */
@media (max-width: 900px) {
    .form-map-grid {
        grid-template-columns: 1fr;
    }
}
